Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 172894 - Rename Preferences to Options
: Rename Preferences to Options
Product: Firefox
Classification: Client Software
Component: Menus (show other bugs)
: unspecified
: x86 All
: -- trivial (vote)
: ---
Assigned To: Ben Goodger (use ben at mozilla dot org for email)
: [Limited availability until Oct 31] Jared Wein [:jaws] (please needinfo? me)
: 174480 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2002-10-06 08:23 PDT by David Tenser [:djst]
Modified: 2006-11-07 02:29 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description David Tenser [:djst] 2002-10-06 08:23:53 PDT
Since Phoenix is a redesign of the UI, maybe we could fix a strange decision in
Mozilla. That is to place the Preferences item in the Edit menu. 

In almost every program I know of in Windows, the Preferences (or Options, as
it's normally called) is placed at the bottom of the tools menu. List of
programs that I've seen that has Preferences/Settings/Options under Tools:

Windows Explorer / IE
Office (all versions I've seen)
Windows Media Player
Texturizer (my own program, hehe)
Windows Movie Maker
Microsoft Visual Studio
Outlook Express
RealOne Player

Hmm.. that's about all programs I have installed. Anyway, it seems to be the
standard, at least on the Windows platform. I don't remember where Konqueror
places it's settings.
Comment 1 Nathan Silva 2002-10-07 12:15:30 PDT
I notice this has been done as of the October 7 build. Thank you.

Before this bug is closed, would it be too much to ask you to rename it to
"Options" as in most other Windows apps? The dialog box title bar would also
have to be changed from "Preferences" to "Options".
Comment 2 David Tenser [:djst] 2002-10-07 12:59:44 PDT
Interesting how this bug is fixed and still unconfirmed! :)
Changing summary as per comment 1 and leaving it open until developers decide.
Comment 3 Asa Dotzler [:asa] 2002-10-08 18:35:59 PDT
Not in the plans. 
Comment 4 Asa Dotzler [:asa] 2002-10-15 17:45:59 PDT
*** Bug 174480 has been marked as a duplicate of this bug. ***
Comment 5 Dean Tessman 2002-10-15 18:59:28 PDT
Why not in the plans?  Tools > Options is present in many applications.  I can't
think of one that has Tools > Preferences.
Comment 6 David Tenser [:djst] 2002-10-16 05:49:49 PDT
Dean, I want this changed as much as you do, but I also have to be honest and
say that there are a few non-MS programs that actually calls it Preferences
instead of Options:

* RealOne Player

Hmm that's the only one I could think of.
Comment 7 Jonathan Harford 2002-10-22 17:05:58 PDT
Opera 6 and Photoshop 5 use "Preferences". It's placed under the "File" Menu,
which makes the most sense, in my opinion. Flash MX also uses "Preferences".
Comment 8 David Tenser [:djst] 2003-02-01 03:00:53 PST
Reopening bug since Ben Goodger has fixed this.
Comment 9 David Tenser [:djst] 2003-02-01 03:01:40 PST
Comment 10 David Tenser [:djst] 2003-02-01 03:01:59 PST
Comment 11 Dean Tessman 2003-02-01 10:47:54 PST
Almost, but the accesskey needs to be 'O' instead of 'o'.
Comment 12 Dean Tessman 2003-02-01 14:39:15 PST
Changed it to 'O'.
Comment 13 Thomas F. O'Connell 2003-03-13 11:42:59 PST
Although this is fixed, I should point out that Phoenix is both a Windows and a
Linux app, and Linux apps frequently have Preferences menus rather than Options

Not being familiar with the build process, would it be possible to have the
Windows builds use Options and the Linux builds use Preferences?
Comment 14 David Tenser [:djst] 2003-03-13 14:25:41 PST
Was that a joke? Why put extra effort in making it different in Linux?
Comment 16 Peter Lairo 2003-04-10 09:16:20 PDT
Please reverse this code. You list almost only Micosoft products as examples of
"Tools | Options" as if that were a good reason. Let's not copy Microsoft here.
Are the program settings or preferences really a "tool"? I don't think so.
Counter-reasons are the better-than-MS programs (that I use):

Adobe Acrobat            - Edit | Preferences
Corel WordPerfect Office - Tools | Settings
Lotus Notes              - File | Preferences
Lotus Organizer          - File | User Setup
Total Commander          - Configuration | Options
IrfanView                - Options | Properties
MicroStation (CAD)       - Workspace |Preferences
Comment 17 Dean Tessman 2003-04-10 09:38:45 PDT
And you only list applications that are less-frequently used that MS apps, or
have extremely confusing menus (IrfanView).
Comment 18 David Tenser [:djst] 2003-04-10 11:40:35 PDT
This bug is verified and approved by drivers of Rant about the
decision will not change anything. Please take your discussion to the
MozillaZine threads. Thank you.
Comment 19 timeless 2003-05-18 08:55:57 PDT
david: um, excuse me, but i don't see a single stamp from anything resembling
a driver in this bug. you're welcome to tell people to rant elsewhere, but
please don't misrepresent a bug or drivers.

[to everyone else: this is not saying that drivers or staff don't approve of
the mozilla/browser module owner(s)' decissions. further: drivers currently
manage seamonkey, as such the people who count wrt whether a change to
mozilla/browser is ok are staff (not drivers) and their delegate(s) the module
owner(s) both of whom seem to be undisturbed by the current course.]
Comment 20 Simon Paquet [:sipaq] 2003-07-29 02:09:10 PDT
Taking QA Contact as designated owner of Firebird-Menus. Sorry for bugspam.

Note You need to log in before you can comment on or make changes to this bug.